<?php

namespace Slovocast\Controller;

use Odan\Session\SessionInterface;
use Slovocast\Domain\Repository\Channel\ChannelRepositoryInterface;
use Slovocast\Domain\Repository\User\UserRepositoryInterface;
use Psr\Http\Message\ResponseInterface as Response;

class DashboardPage extends Controller
{
    public function __construct(
        protected UserRepositoryInterface $userRepository,
        protected ChannelRepositoryInterface $channelRepository,
        protected SessionInterface $session
    ) { }

    public function handle(): Response
    {
        $userData = $this->session->get("user");
        $user = $this->userRepository->get($userData['id']);
        $channel = $this->channelRepository->getFromUser($user);
        return $this->render('dashboard.twig', [ 'channel' => $channel ]);
    }
}
